Skip to content

安裝 PHP 與 Composer

PHP 的套件管理 Composer 可以快速的幫我們裝好需要的套件,小時候不知道真的很可憐 (?) 然後每次環境安裝都會思考一下才發現 Windows 有直接的安裝程式,所以不管紀錄一下。

在這之前要先裝 PHP 才可以裝 Composer
這裡先記錄 Windows 以及 macOS 兩個平台

在 Windows 安裝 PHP

如果沒有什麼特殊需求,直接到這裡下載 PHP

https://windows.php.net/download/

64位元:VC15 x64 Non Thread Safe
32位元:VC15 x86 Non Thread Safe

解壓縮到你要的地方,以 C槽 為例,並且加入環境變數

C:\php

然後在 cmd 下確認 PHP 成功與否,不然等等你會失望 (?)

php -v

如果能正確得到版本號,大功告成
如果很機車的跳出什麼錯誤 VCRUNTIME140.dll,請裝個 vc15


在 macOS 安裝 PHP

請確定已安裝 Homebrew,若沒有直接輸入下面安裝

/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

PHP 如果沒有指定版本,直接輸入

brew install php

確認 PHP 安裝

php -v

小俊的版本是舊的,所以理論上你的是最新版本的 PHP
得到版本號就大功告成,往下一步走

 

安裝 Composer

根據 Composer 官方文件,二個步驟:下載、安裝

 

從 Windows 開始

下載了之後,從頭預設到尾就可以了

https://getcomposer.org/Composer-Setup.exe

 

從 Linux/Unix/OSX 安裝

php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
php -r "if (hash_file('SHA384', 'composer-setup.php') === '544e09ee996cdf60ece3804abc52599c22b1f40f4323403c44d44fdfdd586475ca9813a858088ffbc1f233e9b180f061') { echo 'Installer verified'; } else { echo 'Installer corrupt'; unlink('composer-setup.php'); } echo PHP_EOL;"
php composer-setup.php
php -r "unlink('composer-setup.php');"

 

然後移動到 bin 裡面,好讓我們可以任意呼叫 Composer

mv composer.phar /usr/local/bin/composer

得到版本號就算大功告成

composer -V

 

理論上應該是更新版本,不是上面的版本號 XD

參考文件

Published in教學文章

一則留言

發表迴響

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料